compact1, compact2, compact3
java.util.function

## Interface DoubleSupplier

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

    @FunctionalInterface
    public interface DoubleSupplier

Represents a supplier of `double`-valued results. This is the `double`-producing primitive specialization of `Supplier`.

There is no requirement that a distinct result be returned each time the supplier is invoked.

This is a functional interface whose functional method is `getAsDouble()`.

Since:
  1.8
See Also:
  `Supplier`

### Method Summary

All Methods Instance Methods Abstract Methods
`double` `getAsDouble()` Gets a result.

### Method Detail

#### getAsDouble

    double getAsDouble()

Gets a result.

Returns:
  a result